My Snow Leopard Upgrade

This has been a pain in the ass for the past 2 weeks for me. At work I do a combination of iPhone objective-C programming and Ruby on Rails programming. Just about everything broke and I’ve been pulling my hair out and patching things with scotch tape just to get it into some kind of working shape. I haven’t had to time to back everything up and just reformat the damn machine and install everything compiled properly to the 64-bit system but here are some links that have helped me wobble along until I can fix things.

The Xcode muckiness wasn’t as bitchy to overcome by just fiddling with some of the settings to get it to work with my company’s code – but the problem also was that the new Xcode that ships with Snow Leopard totally got rid of all the previous iPhone SDKs I had. My company still runs most of our iPhone apps off of 2.2.1 and Xcode for Snow Leopard only does 3.0. Unlike my co-worker who practice more forethought than I do (so what, call me ignorant), I didn’t have a backup of the previous Xcode stashed somewhere else. Adam showed me a tricky trick in the new Xcode and you are able to still use the new 3.0 SDK but set the deployment target to whatever the heck you want.

OF COURSE, with the new iPhone 3.1 SDK, they’ve included all the previous iPhone SDKs to work with the new Xcode 3.2, thus eliminating my rage, but a little too late for the heartburn I was experiencing earlier this week.

Now, getting ruby on rails and our projects running on my laptop has been a bitch and a half and I’m still pulling teeth just to get things working locally. I was being a tool and just deploying all of my test code to the integration server to test for the past week and a half just so I could get some actual work done before Labor Day. I’m sure my co-workers didn’t appreciate that. :-p

Getting PostgreSQL working with ROR and installing the proper gem. I used to use pg but that was not working. I’m instead using postgres-pr and that seems to get mongrel up and working on my local environment. Make sure to change your ARCHFLAGS to ‘-arch x86_64′ if you originally had it set to i386.

http://railsforum.com/viewtopic.php?id=34110

I had to totally uninstall things like my MacPorts and rubygems and postgres and install everything from scratch again. I also had problems with my paths and I was constantly pulling up the wrong version (i.e. Snow Leopard’s version) of ruby and postgres.

Originally I had thought that just by recompiling everything the Ruby on Rails guys suggested, I’d be golden. But that just didn’t work out for me.

I think I am just going to reformat everything this weekend and follow this guy’s advice. What a mess!

Oh well, rant over. Hopefully I can post about a more successful Snow Leopard install next week.